Subject: Re: bug#22405: 25.1.50; Recent changes break epg's ability to read from the gpg card

From: Daiki Ueno <[email-masked]>
Date: Mon, 08 Feb 2016 11:04:11 +0900

Manoj Srivastava <[email-masked]> writes:

>         I have a gpg card which I use to store my signing sub keys
> on. Sometime between December 15 and January 15th, I can no longer send
> gpg signed emails using mml2016 and epg when I use a secring.gpg that
> refers to keys on the card.
>
>         I can:
>  1. Read mail in Gnus and decrypt encrypted emails sent to me
>  2. Load gpg encrypted .el files during startup.
>  3. Verify signatures in emails.
>
>  If I try to send a gpg signed message, I get the error with the
> back trace appended below. Based on trying to step through the
> mml2015-sign  function, epg-sign-string returns nil, which leads to the
> error.  epg does seem to talk to the card: I am prompted for a PIN (not
> a passphrase), and the card signature count does get incremented.
>
>         When I replace the secring.pgp with one that contains my mey
> itself, I can successfully  sign emails. I can consistently reproduce
> this failure.

I don't see any significant change in epg during that period, but there
are potentially several factors (e.g. new GnuPG versions, mml2015
rework) that could cause the problem.  Could you try `M-x
epa-sign-region' to isolate the problem?

Also I would like to ask you to gather more information with the steps
described in:
http://www.gnu.org/software/emacs/manual/html_node/epa/Bug-Reports.html#Bug-Reports

Thanks,
-- 
Daiki Ueno